%global appname de.wolfvollprecht.UberWriter

Name:           uberwriter
Version:        2.1.5
Release:        4%{?dist}
Summary:        Distraction free Markdown editor for GNU/Linux made with GTK+

License:        GPLv3+
URL:            https://uberwriter.github.io/uberwriter
Source0:        https://github.com/UberWriter/uberwriter/archive/v%{version}a/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       glib2%{?_isa}
Requires:       hicolor-icon-theme
Requires:       python3-pypandoc

%description
Uberwriter is a GTK+ based distraction free Markdown editor, mainly developed
by Wolf Vollprecht. It uses pandoc as backend for markdown parsing and offers
a very clean and sleek user interface.

%prep
%autosetup -n %{name}-%{version}a

%build
%py3_build

%install
%py3_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files
%license COPYING
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}_lib
%{python3_sitelib}/%{name}-2.1.4-py?.?.egg-info
# https://github.com/UberWriter/uberwriter/issues/173
%{python3_sitelib}/po

%changelog
* Tue Jul 30 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.5-4
- Initial package
